/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:18:08 GMT 2022
 */

package ir.ramtung.impl1;

import ir.ramtung.sts01.LibraryException;
import org.junit.Rule;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import ir.ramtung.impl1.Book;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Book_ESTest extends Book_ESTest_scaffolding {


  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Book book0 = new Book("S@Ax3KvnF2");
      int int0 = book0.penaltyFor(21);
      assertEquals(56000, int0);
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Book book0 = new Book((String) null);
      int int0 = book0.penaltyFor(7);
      assertEquals(14000, int0);
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      Book book0 = new Book("F@GEKcmy4B_=a[1%:");
      int int0 = book0.penaltyFor(0);
      assertEquals(0, int0);
  }

  @Test(timeout = 4000)
  public void test3()  throws Throwable  {
      Book book0 = null;
      try {
        book0 = new Book("");
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // Documents with empty title are not allowed
         //
         verifyException("ir.ramtung.impl1.Document", e);
      }
  }

  @Test(timeout = 4000)
  public void test4()  throws Throwable  {
      Book book0 = new Book((String) null);
      int int0 = book0.penaltyFor(23000);
      assertEquals(114951000, int0);
  }

  @Test(timeout = 4000)
  public void test5()  throws Throwable  {
      Book book0 = new Book((String) null);
      int int0 = book0.penaltyFor((-80));
      assertEquals((-160000), int0);
  }

  @Test(timeout = 4000)
  public void test6()  throws Throwable  {
      Book book0 = new Book((String) null);
      int int0 = book0.penaltyFor(10);
      assertEquals(23000, int0);
  }

  @Test(timeout = 4000)
  public void test7()  throws Throwable  {
      Book book0 = new Book((String) null);
      int int0 = book0.loanDuration();
      assertEquals(10, int0);
  }
}
